package com.hw.dms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 巡检计划信息对象 dms_plan_inspect
 *
 * @author Open Platform
 * @date 2024-01-17
 */
public class DmsPlanInspect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long planInspectId;

    /** 计划编号 */
    @Excel(name = "计划编号")
    private String planInspectCode;

    /** 计划名称 */
    @Excel(name = "计划名称")
    private String planInspectName;

    /** 检查类型(1巡检,2点检) */
    @Excel(name = "检查类型(1巡检,2点检)")
    private String inspectType;

    /** 巡检线路ID，关联dm_base_inspect_route的inspect_route_id */
    @Excel(name = "巡检线路ID，关联dm_base_inspect_route的inspect_route_id")
    private Long inspectRouteId;

    /** 设备总数 */
    @Excel(name = "设备总数")
    private Long deviceAmount;

    /** 计划巡检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;

    /** 循环周期 */
    @Excel(name = "循环周期")
    private String cyclePeriod;

    /** 执行人员 */
    @Excel(name = "执行人员")
    private String performer;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    private String cronExpression;

    public String getCronExpression() {
        return cronExpression;
    }

    public void setCronExpression(String cronExpression) {
        this.cronExpression = cronExpression;
    }

    public void setPlanInspectId(Long planInspectId)
    {
        this.planInspectId = planInspectId;
    }

    public Long getPlanInspectId()
    {
        return planInspectId;
    }
    public void setPlanInspectCode(String planInspectCode)
    {
        this.planInspectCode = planInspectCode;
    }

    public String getPlanInspectCode()
    {
        return planInspectCode;
    }
    public void setPlanInspectName(String planInspectName)
    {
        this.planInspectName = planInspectName;
    }

    public String getPlanInspectName()
    {
        return planInspectName;
    }
    public void setInspectType(String inspectType)
    {
        this.inspectType = inspectType;
    }

    public String getInspectType()
    {
        return inspectType;
    }
    public void setInspectRouteId(Long inspectRouteId)
    {
        this.inspectRouteId = inspectRouteId;
    }

    public Long getInspectRouteId()
    {
        return inspectRouteId;
    }
    public void setDeviceAmount(Long deviceAmount)
    {
        this.deviceAmount = deviceAmount;
    }

    public Long getDeviceAmount()
    {
        return deviceAmount;
    }
    public void setPlanTime(Date planTime)
    {
        this.planTime = planTime;
    }

    public Date getPlanTime()
    {
        return planTime;
    }
    public void setCyclePeriod(String cyclePeriod)
    {
        this.cyclePeriod = cyclePeriod;
    }

    public String getCyclePeriod()
    {
        return cyclePeriod;
    }
    public void setPerformer(String performer)
    {
        this.performer = performer;
    }

    public String getPerformer()
    {
        return performer;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planInspectId", getPlanInspectId())
            .append("planInspectCode", getPlanInspectCode())
            .append("planInspectName", getPlanInspectName())
            .append("inspectType", getInspectType())
            .append("inspectRouteId", getInspectRouteId())
            .append("deviceAmount", getDeviceAmount())
            .append("planTime", getPlanTime())
            .append("cyclePeriod", getCyclePeriod())
            .append("performer", getPerformer())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
